import {
  getSchoolChannelData,
  getSchoolTVData,
} from '../../api/school'

const school = {
  state: {
    schoolChannelData: [],
    schoolTVData: [],
  },
  mutations: {
    GET_CHANNEL_DATA: (state, data) => {
      state.schoolChannelData = data
      console.log('school:', state);
    },
    GET_TV_DATA: (state, data) => {
      state.schoolTVData = data
    },
  },
  actions: {
    // 清空数据
    clearList({
      dispatch,
      commit
    }) {
      commit('GET_CHANNEL_DATA', [])
      commit('GET_TV_DATA', [])
    },
    getSchoolChannelData({
      commit
    },data) {
      return new Promise((resolve, reject) => {
        console.log(data)
        getSchoolChannelData(data).then(res => {
          console.log(res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_CHANNEL_DATA', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    getSchoolTVData({
      commit
    },data) {
      return new Promise((resolve, reject) => {
        console.log(data)
        getSchoolTVData(data).then(res => {
          console.log(res.rows)
          if (res.code == 200) {
            resolve(res.rows);
            commit('GET_TV_DATA', res.rows)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
  }
}

export default school
